$!.. EVERYWEEK.COM			Weekly batch job action procedure
$ SET NOON
$ SUBMIT_JOB := SUBMIT /NOPRINT /USER=SYSMANAGER
$ SUBMIT_CMNJOB := SUBMIT /NOPRINT /LOG_FILE=CMN$MANAGER: /USER=SYSMANAGER
$ MULTIS := @SYS$MGR_UTIL:MULTISUBMIT
$ which = F$GETSYI( "NODENAME")		!Which system is this?
$ opsys = which .EQS. "OPER"		!Set to TRUE if Operational system
$ dvsys = which .EQS. "DEVL"		!Set to TRUE if Development system
$ acsys = which .EQS. "ADCALC"		!Set to TRUE if Calculational system
$ devl_cluster = dvsys .OR. acsys	!TRUE if known VAXCLuster node
$!
$! Generate disk usage report on either system, print on DEVL system.
$!
$@SYS$MGR_UTIL:RPTDSKUSE
$!
$! Submit job to generate weekly accounting reports
$!
$!> $ MULTIS	LONG	SYS$MGR_UTIL:BIGBROTHR.JOB
$!
$! Submit (weekly) job to generate error log report (both systems)
$!
$ MULTIS  BATCH	-
	"/AFTER=06:00 /NAME=ERRORLOG /PRIORITY=20   SYS$MGR_UTIL:ERRORLOG.JOB"
$!
$! Submit EVERYWEEK jobs for other users (other than SYSMANAGER/SYSTEM).
$!
$@SYS$MGR_UTIL:USERSEJOBS  EVERYWEEK
$!
$ EXIT	1				! End-of-job for this week
$!==============================================================================
$! EVERYWEEK.COM
$!
$!	This command procedure is run once every week at midnight on Sunday
$!	by the EVRYWEEK batch job (with command procedure EVERYWEEK.JOB).
$!	Its purpose is to submit other batch jobs to be run on a weekly
$!	basis.
$!
$! ============================================================================
$! Here is where the real work gets done.  The SUBMIT commands (or @name)
$! commands should go between the two lines of astericks.  Remember that
$! this job is running under the SYSTEM account (UIC [1,4]) as will any
$! batch jobs SUBMIT'ed from here or any command files executed from here.
$! The current default directory is now: SYS$MANAGER:!!
$! If a batch job must be run under a different user either you can:
$!	1. Change the UIC and default directory at the start of the
$!	   command file submitted as a batch job.
$!	2. SPAWN a command file off under a different UIC to do you thing
$!	   or SUBMIT a batch job.  (Or you can insert a detached process
$!	   RUN command into here).
$! Note that the .LOG files for batch jobs submitted from here or detached
$! processes SPAWN'ed from here are placed in SYS$MANAGER:
$!
$! The logical names SYS$LOGIN: and SYS$MANAGER: both point to the system
$! manager's directory.  The SYS$MGR_UTIL: logical name points to the system
$! manager's subdirectory in which many of the utility command procedures are
$! stored.
$!
$! The global symbol OPSYS is 1 (TRUE) if this command procedure is being
$! run on the Operational VAX system and 0 (FALSE) otherwise.  Use of this
$! allows a single version of this command procedure to be maintained and
$! yet have different actions on the two systems.
$!==============================================================================
$! Author:		Frank J. Nagy	Fermilab Accelerator/Controls
$! Modifications:
$! 18-Mar-82	FJN	Created by splitting EVERYWEEK.COM into this file and
$!			EVERYWEEK.JOB
$! 28-Jul-82	FJN	Preparing for VMS V3 and having one copy of this
$!			procedure work for both Development and Operational
$!			systems.
$! 29-Jul-82	FJN	Modified to do make disk usage report on Operational
$!			system and transfer to development system.
$! 30-Aug-82	FJN	Use VMS V3 features
$! 05-Sep-82	FJN	Added submittal of the BIGBROTHER job.
$! 26-Apr-83	FJN	Run ERRLOGJOB once per week on Development system
$! 23-Sep-83	FJN	Submit DBMCHORES batch job under DBM account
$! 03-Jan-84	FJN	Add weekly APLLOG print and fix print of OPER:: files
$!			to use DECnet.
$! 30-Jan-84	FJN	Use V2.1 of SETUSER to change account names also
$! 16-Apr-84	FJN	Modify GETOSERL to handle slow ERRLOG job at OPER::
$! 21-Apr-84	FJN	Eliminate GETOSERL, print out now in new ERRLOGJOB
$! 16-Oct-84	FJN	Parcel some jobs into LONG_JOBS and some into the
$!			SHORT_JOBS batch queues
$!  12-Nov-84	FJN	Initial testing of handling user-specific jobs via
$!			their own EVERY* jobs and a control database...
$!  28-Dec-84	FJN	Replace OPSYS setting by WHICH.SYS template and
$!			then include ADCALC in customizations
$!  07-Jun-85	FJN	Use VMS V4 features and compress/move comments
$!  12-Jun-85	FJN	Changed to USERSEJOBS.COM procedure
$!  18-Oct-85	FJN	Added definition of SUBMIT_CMNJOB command
$!			and added use of MULTISUBMIT.COM
